Bug 1566562 - RHSM failing to register with proxy settings
Summary: RHSM failing to register with proxy settings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.2
Assignee: Brandon Dunne
QA Contact: luke couzens
URL:
Whiteboard: webui:upgrade:black
Depends On: 1561448
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 14:08 UTC by Satoe Imaishi
Modified: 2018-05-07 20:49 UTC (History)
6 users (show)

Fixed In Version: 5.9.2.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1561448
Environment:
Last Closed: 2018-05-07 20:48:53 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1328 None None None 2018-05-07 20:49:18 UTC

Comment 3 CFME Bot 2018-04-12 14:15:59 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/6501817774fc8c83bda0047cc90ac39991090d85
commit 6501817774fc8c83bda0047cc90ac39991090d85
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Apr  3 10:25:46 2018 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Tue Apr  3 10:25:46 2018 -0400

    Merge pull request #17222 from robbmanes/properly_validate_proxy_urls

    Resolve string handling for "https://" or "http://" in update_rhsm_conf
    (cherry picked from commit b44f6b17977f8f8e317360ecde03ea92e35b32ba)

    https://bugzilla.redhat.com/show_bug.cgi?id=1566562

 app/models/registration_system.rb | 5 +-
 spec/models/registration_system_spec.rb | 35 +-
 2 files changed, 24 insertions(+), 16 deletions(-)

Comment 4 luke couzens 2018-04-23 18:57:03 UTC
So this seems to be partially fixed. The proxy info gets updated in the rhsm.conf correctly now but registration still has some issues. From what I am seeing registration does seem to be completed checking evm.log but the last message in the UI gets stuck at 'Enabling rhel-server-rhscl-7-rpms' and never moves to 'Registered'. Also this only seems to happen when you have a proxy configured and no access on 443 and 80 ports.

Comment 5 Brandon Dunne 2018-04-23 19:29:00 UTC
Looking through the log, everything appears to be working as expected with the proxy.

The performance of the subscription-manager commands seems to be another issue (taking 3+ minutes to "subscription-manager register") and may warrant another bug.  It seems this is causing our worker to hit the 10 minute timeout and get killed before it can finish all of the steps in the registration process.

Comment 6 luke couzens 2018-04-24 15:17:19 UTC
Well in the logs it seems like registration is complete, but the UI last message never gets to 'Registered'. Also there is no websocket notification with 'completed successfully'.

I feel this is still a problem just from the fact that it gives confusion to the user, there is no way to tell that your appliance is completely registered without digging through logs. It just feels like its stuck in limbo.

I am happy to move this to verified if we are sure registration has finished, but if the worker is timing out surely its not, in which case something else could be missing. If someone has a slow proxy/network for instance it could time out before attaching all repos, correct?

Comment 7 Brandon Dunne 2018-04-24 15:51:08 UTC
We only emit a notification if registration fails and it seems we are missing a last message update for "completed successfully".

Registration is queued to happen at least once a day by a schedule, so if it gets killed in the middle (due to extremely slow connection) it will pick up where it left off last time and the status will get updated as well.

Comment 8 luke couzens 2018-04-24 16:13:35 UTC
Does that mean it should eventually get the "registered" message in the UI if it continues where it left off each day or will it always timeout for w/e reason?

I am just concerned there might be some underlined issue we are not seeing, but I have tried checking for updates and it does find them so it seems like everything is working.

I will move this to verified and raise a new bug for the notifications/last message stuff.

Thanks for the help Brandon.

Comment 9 Brandon Dunne 2018-04-24 18:11:24 UTC
Yes, I would expect that subsequent calls to subscription-manager wouldn't take as long if it is already registered, so that should take several minutes off of the process.  The underlying issue is that the subscription-manager commands are taking a very long time to complete.

Comment 10 CFME Bot 2018-04-24 18:36:28 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/39828bca80afd43f35245e496d5b144e18597b3c
commit 39828bca80afd43f35245e496d5b144e18597b3c
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Tue Apr 24 12:04:12 2018 -0400
Commit:     Brandon Dunne <brandondunne@hotmail.com>
CommitDate: Tue Apr 24 12:04:12 2018 -0400

    Add logging and update upgrade_message for successful registration

    It seems hard to tell whether the entire process of registering, attaching
    products and enabling repos has finished.

    https://bugzilla.redhat.com/show_bug.cgi?id=1566562

 app/models/miq_server/update_management.rb | 2 +
 1 file changed, 2 insertions(+)

Comment 13 errata-xmlrpc 2018-05-07 20:48:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1328


Note You need to log in before you can comment on or make changes to this bug.